library(e1071)
library(nnet)
library(randomForest)

allData1 <- read.table("XXXXX", header = T, sep = "")


trainData <- with(allData1, data.frame(GPP, LST, ET, cv, DHI.min, DHI.sea, DHI.cum, mammal))


allData2 <- read.table("XXXXX", header = T, sep = "")

testData <- with(allData2, data.frame(GPP, LST, ET, cv, DHI.min, DHI.sea, DHI.cum))


timestart <- Sys.time()

# model <- svm(mammal ~ DHI.cum + DHI.min + DHI.sea + cv + ET + LST + GPP, data = trainData)
# fit <- randomForest(mammal ~ DHI.cum + DHI.min + DHI.sea + cv + ET + LST + GPP, data = trainData)
model <- nnet(mammal ~ DHI.cum + DHI.min + DHI.sea + cv + ET + LST + GPP, data = trainData, size = 30, maxit = 100)

ss <- predict(model, testData)

timeend <- Sys.time()

runningtime <- timeend - timestart

print(runningtime)      

write.table(ss, file = "XXXXX", row.names = F, quote = F)


